<?php
$target = 'guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");

$nombrepagina = "Reenvios";
encabezado($target);
$user = $_SESSION['validar'];
$filas = 1;

$_SESSION['cnt_no_reenvio'] = 0;
$_SESSION['cnt_reenvio'] = 0;

if (file_exists($_GET['id_user'] . "guias_no_reenvio.txt"))
    unlink($_GET['id_user'] . "guias_no_reenvio.txt");
if (file_exists($_GET['id_user'] . "guias_reenvio.txt"))
    unlink($_GET['id_user'] . "guias_reenvio.txt");

function escribe_archivo($str_cadena, $str_archivo) {
    $archivo = fopen($str_archivo, "a+");
    fwrite($archivo, $str_cadena);
    fclose($archivo);
}

if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    $llamadoObj = new llamado();
    $llamadoObj->validar1($_GET['id_user'], $_GET['suc']);
    entrada($user, $_GET['id_user'], $_GET['suc']);
    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    class obtiene {

        var $userObj;

        function obtener($perfil) {
            $this->userObj = new select_zonas();
            $tabla = $this->userObj->get_tabla($_GET['suc']);
            $_SESSION['tabla_guia'] = $tabla;
        }

    }

    $eliminaObj = new obtiene();
    $eliminaObj->obtener($suc);
    $tabla = $_SESSION['tabla_guia'];

if($_SESSION['area']!=0 && $_GET['id_user']!= 3){
echo "Modulo de Reenvios Termporalmente Deshabilitado, aun no tiene permisos para la operacion.";
}else{
    ?>
    <CENTER>
        <form action="" method="POST" name="backup">
            <table width="300" border="0" class="primaria">
                <tr class=miTable_tr>
                    <td colspan="2" class=miTable_th1><div align="center">..:: Digite Guia a Reenviar ::..</div></td>
                </tr>
                <tr class="miTable_tr">
                    <td width="100" class="miTable_td">
                        No Guia:
                    </td>
                    <td width="200" class="miTable_td">
                        <textarea cols="20" rows="10" name="guia" id="guia"></textarea>
                        <input type="hidden" name="tabla" value="<? echo $tabla; ?>" class="inputbox">
                    </td>
                </tr>
                <tr class=miTable_tr>
                    <td class=miTable_th1 colspan="2">
                        <div align="center">
                            <input type="submit" name="Registrar" value="Procesar" class="inputbox">
                        </div>
                    </td>
                </tr>
            </table>
        </form>
    </CENTER>
    <?
  }
    function actualiza_reenvio($n_guia) {
                $db = new conexion();
                $db->conectarse();
            $rst_validar = $db->consultar("SELECT guia FROM guias_proceso WHERE guia='" . $n_guia . "'");
            if (mysql_num_rows($rst_validar) >= 1) {
                $rst = $db->consultar("SELECT GUIA,ID_MENSAJERO,ID_PLANILLA FROM guias_proceso where guia='" . $n_guia . "'
										 and (id_estado='16' or id_estado='22')");

                if (mysql_num_rows($rst) >= 1) {
                    /////Se procesa para reenvio.
                    $cursor = mysql_fetch_array($rst);
                    $var_mensa = trim($cursor[1]);
                    $v_pla = trim($cursor[2]);
//	 			echo $var_mensa.'<br>';
//	 			echo $v_pla.'<br>';
                    ////ACTUALIZO ESTADO RASTREO EN TABLA RASTREO GUIAS
                    $sql = "UPDATE rastreo_guias set E17=17,F17=NOW() WHERE GUIA='" . $n_guia . "'";
                    $rst = $db->consultar($sql);
                    /////INSERTO DATOS EN TABLA REENVIO.
                    $sql = "INSERT INTO reenvio (id,orden,guia,E12,F12,E13,F13,E14,F14,E15,F15,E16,M16,F16,E19,F19,E17,F17,id_mensajero,id_planilla)
				(select 0,orden,guia,E12,F12,E13,F13,E14,F14,E15,F15,E16,M16,F16,E19,F19,E17,F17,'" . $var_mensa . "' as mensajero,'" . $v_pla . "' as planilla from 
				rastreo_guias where guia='" . $n_guia . "')";
                    $rst = $db->consultar($sql);
                    ////ACTALIZO CANTIDAD DE PLANILLA.
                    $sql = "UPDATE planillas set cantidad=cantidad-1 where id_planilla='" . $v_pla . "'";
                    $rst = $db->consultar($sql);
                    ////ACTALIZO EL ESTADO EN GUIAS_PROCESO.
                    $sql = "UPDATE guias_proceso set id_mensajero=0,id_planilla=0,id_estado=12,id_devolucion=0 where guia='" . $n_guia . "'";
                    $rst = $db->consultar($sql);
                    ////RESETEO ESTADOS EN RASTREO GUIAS.
                    $sql = "UPDATE rastreo_guias set F12=NOW(),E13=0,F13='0000-00-00 00:00:00',E14=0,F14='0000-00-00 00:00:00',
							E15=0,F15='0000-00-00 00:00:00',E16=0,M16=0,F16='0000-00-00 00:00:00',E17=0,F17='0000-00-00 00:00:00',
							E19=0,F19='0000-00-00 00:00:00' where guia='" . $n_guia . "'";
                    $rst = $db->consultar($sql);



                    $cadena = trim($n_guia) . chr(13) . chr(10);
                    escribe_archivo($cadena, $_GET['id_user'] . "guias_reenvio.txt");
                    $_SESSION['cnt_reenvio']++;
//                    echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
//				<td class=miTable_th1><div align="center">
//				..:: Guia ' . $n_guia . ' Actualizada Correctamente ::..</div></td></tr>';
//                    echo '</tr></table>';
//                    echo '</center>';
                } else {
                    $cadena = trim($n_guia) . chr(13) . chr(10);
                    escribe_archivo($cadena, $_GET['id_user'] . "guias_no_reenvio.txt");
                    $_SESSION['cnt_no_reenvio']++;
                    ///Mensaje guia no esta en devolucion.
//                    echo '<center><table width="400" border="0" class="primaria"><tr bgcolor="Red">
//				<td><font color="white"><div align="center">
//				..:: La Guia ' . $n_guia . ' No Se Encuentra En Devolucion ::..</div></font></td></tr>';
//                    echo '</tr></table>';
//                    echo '</center>';
                }
            } else {
                $cadena = trim($n_guia) . chr(13) . chr(10);
                escribe_archivo($cadena, $_GET['id_user'] . "guias_no_reenvio.txt");
                $_SESSION['cnt_no_reenvio']++;
            }

            }
    
    
    
    
    if (!isset($Registrar)) {
        //echo "No ha dado click en boton";
    } else {

        //$n_guia=trim($_POST['guia']);
        $input = explode("\n", $guia);
        $arr_guia = array_unique($input);

        for ($ytr = 0; $ytr <= count($arr_guia); $ytr++) {
            $num_guia = trim($arr_guia[$ytr]);
            if (!empty($num_guia)) {
                actualiza_reenvio($num_guia);
            }
        }
        echo '<CENTER>';
        
        echo '<table width="300" border="0" class="primaria">';
            echo '<tr class=miTable_tr>
				<td class=miTable_td colspan=2><div align="center">
				Guias Actualizadas ' . $_SESSION['cnt_reenvio'] .
            '&nbsp;&nbsp;<a href="' . $_GET['id_user'] . 'guias_reenvio.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_GET['id_user'] . 'guias_reenvio.txt">Descargar</a></div></td></tr>';


            echo '<tr class=miTable_tr>
				<td class=miTable_td colspan=2><div align="center">
				Guias Sin Actualizar ' . $_SESSION['cnt_no_reenvio'] .
            '&nbsp;&nbsp;<a href="' . $_GET['id_user'] . 'guias_no_reenvio.txt" target="_blank">Ver Detalle</a> &nbsp;&nbsp;
				<a href="descargar.php?f=' . $_GET['id_user'] . 'guias_no_reenvio.txt">Descargar</a></div></td></tr>';
        echo '</center></table>';
    }
    mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<center>
<? pie_de_pagina(); ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";

echo"</center>";
echo"</body>";
echo"</html>";
?>
